package inf101.v18.rogue101.items;

import inf101.v18.rogue101.game.IGame;
import inf101.v18.rogue101.objects.IItem;

public class Manga implements IConsumable {
    private int hp = getMaxHealth();

    @Override
    public int getCurrentHealth() {
        return hp;
    }

    @Override
    public int getDefence() {
        return 0;
    }

    @Override
    public int getMaxHealth() {
        return 1;
    }

    @Override
    public String getName() {
        return "Manga";
    }

    @Override
    public int getSize() {
        return 5;
    }

    @Override
    public String getPrintSymbol() {
        return "🕮";
    }

    @Override
    public String getSymbol() {
        return "M";
    }

    @Override
    public int handleDamage(IGame game, IItem source, int amount) {
        hp -= amount;
        return amount;
    }

    @Override
    public int hpIncrease() {
        return 0;
    }

    @Override
    public int attackIncrease() {
        return 5;
    }

    @Override
    public int defenceIncrease() {
        return 5;
    }
}
